Retro Rocket Kernel BASIC-Powered Operating System

Macros | Functions
lapic_timer.h File Reference

## Macros
#define | APIC_TASKPRIOR 0x80
#define | APIC_EOI 0x0B0
#define | APIC_LDR 0x0D0
#define | APIC_DFR 0x0E0
#define | APIC_SPURIOUS 0x0F0
#define | APIC_ESR 0x280
#define | APIC_ICRL 0x300
#define | APIC_ICRH 0x310
#define | APIC_LVT_TMR 0x320
#define | APIC_LVT_PERF 0x340
#define | APIC_LVT_LINT0 0x350
#define | APIC_LVT_LINT1 0x360
#define | APIC_LVT_ERR 0x370
#define | APIC_TMRINITCNT 0x380
#define | APIC_TMRCURRCNT 0x390
#define | APIC_TMRDIV 0x3E0
#define | APIC_LAST 0x38F
#define | APIC_DISABLE 0x10000
#define | APIC_SW_ENABLE 0x100
#define | APIC_CPUFOCUS 0x200
#define | APIC_NMI (4<<8)
#define | TMR_PERIODIC 0x20000
#define | TMR_BASEDIV (1<<20)

## Functions
void | init_lapic_timer ()

## Detailed Description

Author
  Craig Edwards (craig.nosp@m.edwa.nosp@m.rds@b.nosp@m.rain.nosp@m.box.c.nosp@m.c)

Copyright
  Copyright (c) 2012-2023

## Macro Definition Documentation

## ◆ APIC_CPUFOCUS

#define APIC_CPUFOCUS 0x200

## ◆ APIC_DFR

#define APIC_DFR 0x0E0

## ◆ APIC_DISABLE

#define APIC_DISABLE 0x10000

## ◆ APIC_EOI

#define APIC_EOI 0x0B0

## ◆ APIC_ESR

#define APIC_ESR 0x280

## ◆ APIC_ICRH

#define APIC_ICRH 0x310

## ◆ APIC_ICRL

#define APIC_ICRL 0x300

## ◆ APIC_LAST

#define APIC_LAST 0x38F

## ◆ APIC_LDR

#define APIC_LDR 0x0D0

## ◆ APIC_LVT_ERR

#define APIC_LVT_ERR 0x370

## ◆ APIC_LVT_LINT0

#define APIC_LVT_LINT0 0x350

## ◆ APIC_LVT_LINT1

#define APIC_LVT_LINT1 0x360

## ◆ APIC_LVT_PERF

#define APIC_LVT_PERF 0x340

## ◆ APIC_LVT_TMR

#define APIC_LVT_TMR 0x320

## ◆ APIC_NMI

#define APIC_NMI (4<<8)

## ◆ APIC_SPURIOUS

#define APIC_SPURIOUS 0x0F0

## ◆ APIC_SW_ENABLE

#define APIC_SW_ENABLE 0x100

## ◆ APIC_TASKPRIOR

#define APIC_TASKPRIOR 0x80

## ◆ APIC_TMRCURRCNT

#define APIC_TMRCURRCNT 0x390

## ◆ APIC_TMRDIV

#define APIC_TMRDIV 0x3E0

## ◆ APIC_TMRINITCNT

#define APIC_TMRINITCNT 0x380

## ◆ TMR_BASEDIV

#define TMR_BASEDIV (1<<20)

## ◆ TMR_PERIODIC

#define TMR_PERIODIC 0x20000

## Function Documentation

## ◆ init_lapic_timer()

void init_lapic_timer | ( |  | ) |